GlueGen: com.jogamp.common.util.TestLFRingBuffer01 Class Reference

GlueGen v2.6.0-rc-20250721 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | List of all members
com.jogamp.common.util.TestLFRingBuffer01 Class Reference
Inheritance diagram for com.jogamp.common.util.TestLFRingBuffer01:
Collaboration diagram for com.jogamp.common.util.TestLFRingBuffer01:

## Public Member Functions

Ringbuffer< Integer > | createEmpty (final int initialCapacity)
Ringbuffer< Integer > | createFull (final Integer[] source)
Public Member Functions inherited from com.jogamp.common.util.RingBuffer01Base
abstract Ringbuffer< Integer > | createEmpty (int initialCapacity)
abstract Ringbuffer< Integer > | createFull (Integer[] source)
Integer[] | createIntArray (final int capacity, final int startValue)
void | test01_FullRead ()
void | test02_EmptyWrite ()
void | test03_FullReadReset ()
void | test04_EmptyWriteClear ()
void | test05_ReadResetMid01 ()
void | test06_ReadResetMid02 ()
void | test10_GrowEmpty01_Begin ()
void | test11_GrowEmpty02_Begin2 ()
void | test12_GrowEmpty03_End ()
void | test13_GrowEmpty04_End2 ()
void | test20_GrowFull01_Begin ()
void | test21_GrowFull02_Begin1 ()
void | test22_GrowFull03_Begin2 ()
void | test23_GrowFull04_Begin3 ()
void | test24_GrowFull05_End ()
void | test25_GrowFull11_End1 ()
void | test26_GrowFull12_End2 ()
void | test27_GrowFull13_End3 ()

## Static Public Member Functions

static void | main (final String args[])

## Detailed Description

Definition at line 38 of file TestLFRingBuffer01.java.

## Member Function Documentation

## ◆ createEmpty()

Ringbuffer< Integer > com.jogamp.common.util.TestLFRingBuffer01.createEmpty | ( | final int | initialCapacity | ) |

Reimplemented from com.jogamp.common.util.RingBuffer01Base.

Definition at line 39 of file TestLFRingBuffer01.java.

## ◆ createFull()

Ringbuffer< Integer > com.jogamp.common.util.TestLFRingBuffer01.createFull | ( | final Integer[] | source | ) |

Reimplemented from com.jogamp.common.util.RingBuffer01Base.

Definition at line 42 of file TestLFRingBuffer01.java.

## ◆ main()

static void com.jogamp.common.util.TestLFRingBuffer01.main | ( | final String | args[] | ) |

static

Definition at line 46 of file TestLFRingBuffer01.java.

The documentation for this class was generated from the following file:

- src/junit/com/jogamp/common/util/TestLFRingBuffer01.java